Login   Register  
PHP Classes
elePHPant
Icontem

DumpR usage

Recommend this page to a friend!
Stumble It! Stumble It! Bookmark in del.icio.us Bookmark in del.icio.us

      dump_r  >  All threads  >  DumpR usage  >  (Un) Subscribe thread alerts  
Subject:DumpR usage
Summary:Dump R Error in example file
Messages:3
Author:raheel_shan
Date:2012-10-19 06:51:38
Update:2012-10-22 06:46:21
 

  1. DumpR usage   Reply  
Picture of raheel_shan
raheel_shan
2012-10-19 06:51:38
I have tried the example in the package but is produces a proble on line no 49. Also while using php Codeigniter framework i am unable to use this as a library class. Help will be appreciated.

  2. Re: DumpR usage   Reply  
Picture of Leon Sorokin
Leon Sorokin
2012-10-19 15:34:30 - In reply to message 1 from raheel_shan
Hey, thanks for your interest in the lib. You're almost certainly running into an issue with an outdated PHP version. dump_r requires PHP >= 5.3.

Even though it would be fairly easy to make it run in older versions, I have no plans to support or back-port it to 5.2 because 5.3 was released well over 3 years ago. http://www.php.net/ChangeLog-5.php#5.3.0 and the current version is 5.4 as of 8 months ago.

If your host does not offer PHP 5.3 yet, I highly recommend that you find a provider that isn't stuck in the dinosaur era :D

leon

  3. Re: DumpR usage   Reply  
Picture of raheel_shan
raheel_shan
2012-10-22 06:46:21 - In reply to message 2 from Leon Sorokin
Thanks for your reply but i have found how to use. it was my mistake. version is OK and i am using php 5.3. I will try the updated version too. dump_r is very useful.Thanks again